package controleur;

import vue.FenetreDeDessin;

import java.awt.*;
import java.awt.event.KeyEvent;
import java.awt.event.KeyListener;

public class ControleurClavier implements KeyListener {
    private FenetreDeDessin vue;
    public void pour(FenetreDeDessin fenetre) {
        vue = fenetre;
    }
    public void keyPressed(KeyEvent keyevent) { }
    public void keyReleased(KeyEvent keyevent) { }
    public void keyTyped(KeyEvent e) {
        char c = e.getKeyChar();
        if (Character.isDigit(c) && c != '0') {
            vue.changeEpaisseur(Character.digit(c,10));
        } else {
            switch (Character.toUpperCase(c)) {
                //les couleurs
                case 'R' : vue.changeCouleur(Color.red);    break;
                case 'V' : vue.changeCouleur(Color.green);  break;
                case 'B' : vue.changeCouleur(Color.blue);   break;
                case 'J' : vue.changeCouleur(Color.yellow); break;
                case 'N' : vue.changeCouleur(Color.black);  break;
                //les outils
                case 'T' : vue.outilTrace();  break;
                case 'E' : vue.outilEtoile(); break;
            }
        }
    }
}
