package controleur;

import modele.Dessin;
import vue.FenetreDeDessin;

import java.awt.event.*;

public abstract class ControleurSouris implements MouseListener, MouseMotionListener {
    protected FenetreDeDessin vue;
    protected Dessin modele;
    protected int x;
    protected int y;
    public void pour(FenetreDeDessin fenetre, Dessin dessin) {
        vue = fenetre;
        modele = dessin;
    }
    public void mouseEntered(MouseEvent mouseevent) { }
    public void mouseReleased(MouseEvent mouseevent) { }
    public void mouseClicked(MouseEvent mouseevent) { }
    public void mouseExited(MouseEvent mouseevent) { }
    public void mouseMoved(MouseEvent mouseevent) { }
    public void mousePressed(MouseEvent e) {
        x = e.getX();
        y = e.getY();
    }
}
